<?php
defined('_JEXEC') or die('Restricted access');
JHTML::_('behavior.tooltip');
JHTML::_('behavior.modal');
$listOrder	= $this->state->get('list.ordering');
$listDirn	= $this->state->get('list.direction');

$videoURL = array();
$sermonTitle = array();
$sermonDate = array();
$sermonSpeaker = array();
$sermonPic = array();
$sermonImage = array();
$audioFileURL = array();
$sermonAddFile = array();
$downloadSlug = array();
$sermonDurationArr = array();
foreach ($this->items as $item):
	$tempVideoFile = str_replace('http://player.vimeo.com/video/','',$item->videofile);
	$tempVideoFile = str_replace('http://vimeo.com/','',$tempVideoFile);
	$videoURL[] = '"'.$tempVideoFile.'"';
	$sermonTitle[] = '"'.$item->sermon_title.'"';
	$sermonDate[] = '"'.JText::_('JDATE').': '.JHTML::Date($item->sermon_date, JText::_($this->params->get('date_format')), 'UTC').'"';
	$sermonSpeaker[] = '"'.JText::_('COM_SERMONSPEAKER_SPEAKER').': '.$item->name.'"';
	$sermonPic[] = '"'.$item->pic.'"';
	$sermonImage[] = '"'.$item->picture.'"';
	$sermonAddFile[] = '"'.$item->addfile.'"';
	$downloadSlug[] = '"'.$item->slug.'"';
	$audioFileURL[] = '"'.$item->audiofile.'"';
	$sermonDurationArr[] = '"'.$item->sermon_time.'"';
endforeach;
$playerAudio = new SermonspeakerHelperPlayer($this->items );
include("media/com_sermonspeaker/vimeo-js.php");
?>
<div class="ss-archive-container<?php echo htmlspecialchars($this->params->get('pageclass_sfx')); ?>">
<?php if ($this->params->get('show_page_heading', 1)) : ?>
	<h1><?php echo $this->escape($this->params->get('page_heading')); ?></h1>
<?php endif;
if ($this->cat): ?>
	<h2><span class="subheading-category"><?php echo $this->cat; ?></span></h2>
<?php endif; ?>
<h3><?php echo $this->range; ?></h3>
<?php if (in_array('archive:player', $this->columns) && count($this->items)) : ?>
	<div class="ss-archive-player">
				<div style="text-align:center;max-height:65px;">
					<img id="ss-player-prev-temp" src="media/com_sermonspeaker/images/blank64x54.png"  >
                    <img id="ss-player-prev" style="cursor:pointer;display:none;visibility:hidden;" onClick="loadNewVideo(lastSermon,lastSermonName)" src="media/com_sermonspeaker/images/back.png" title="<?php echo JText::_('COM_SERMONSPEAKER_PREV_VIDEO'); ?>" />
					<img id="ss-player-dnldBtn" onclick="downloadAudio(aFileSlug)" src="" title="<?php echo JText::_('COM_SERMONSPEAKER_DOWNLOADBUTTON_AUDIO');?>" />
					<img id="ss-player-popupBtn" src="media/com_sermonspeaker/images/media_player.png" onclick="popupWindow(aFileSlug);" title="<?php echo JText::_('COM_SERMONSPEAKER_POPUPPLAYER');?>" />
					<img id="ss-player-next" onClick="loadNewVideo(nextSermon,nextSermonName)" src="media/com_sermonspeaker/images/forward.png" title="<?php echo JText::_('COM_SERMONSPEAKER_NEXT_VIDEO'); ?>" />
                    <img id="ss-player-next-temp" src="media/com_sermonspeaker/images/blank64x54.png" style="display:none;visibility:hidden;">					
                    <img id="ss-player-addFile" onClick="downloadAddFile(addFile);" src="" >                    
                </div>    
            <div id="ss-player" style="visibility:visible;display:inline;">
             <div id="playing" >
                    <span id="playing-pic"></span>
                    <span id="playing-duration" class="duration"></span>
                    <div class="text">
                        <span id="playing-title" class="title"></span>
                        <span id="playing-desc" class="desc"></span>
                    </div>
                    <span id="playing-error" class="error"></span>
                </div>        
                                
                <div id="vpContainer">
                    <div id="videoPlayer"></div>
                    <div id="audioPlayer">
						<?php 
                            echo $playerAudio->mspace;
                            echo $playerAudio->script;   
                        ?>
                    </div>
                </div>   
            </div>
            <div style="clear:both;"></div> 
	</div>
<?php endif; ?>
<form action="<?php echo JFilterOutput::ampReplace(JFactory::getURI()->toString()); ?>" method="post" id="adminForm" name="adminForm">
	<?php if ($this->params->get('filter_field')) :?>
		<fieldset class="filters">
			<legend class="hidelabeltxt">
				<?php echo JText::_('JGLOBAL_FILTER_LABEL'); ?>
			</legend>
			<div class="filter-search">
				<label class="filter-search-lbl" for="filter-search"><?php echo JText::_('JGLOBAL_FILTER_LABEL').'&nbsp;'; ?></label>
				<input type="text" name="filter-search" id="filter-search" value="<?php echo $this->escape($this->state->get('filter.search')); ?>" class="inputbox" onchange="document.adminForm.submit();" title="<?php echo JText::_('COM_SERMONSPEAKER_FILTER_SEARCH_DESC'); ?>" />
			</div>
			<div class="filter-select">
				<label class="filter-select-lbl" for="filter-select"><?php echo JText::_('COM_SERMONSPEAKER_FIELD_DATE_LABEL').'&nbsp;'; ?></label>
				<select name="month" id="filter_months" class="inputbox" onchange="this.form.submit()">
					<option value="0">-</option>
					<?php echo JHtml::_('select.options', $this->months, 'value', 'text', $this->state->get('date.month'), true);?>
				</select>
				<select name="year" id="filter_years" class="inputbox" onchange="this.form.submit()">
					<?php echo JHtml::_('select.options', $this->years, 'year', 'year', $this->state->get('date.year'), true);?>
				</select>
			</div>
	<?php endif;
	if ($this->params->get('show_pagination_limit')) : ?>
			<div class="display-limit">
				<?php echo JText::_('JGLOBAL_DISPLAY_NUM'); ?>&nbsp;
				<?php echo $this->pagination->getLimitBox(); ?>
			</div>
	<?php endif;
	if ($this->params->get('filter_field')) : ?>
		</fieldset>
	<?php endif; ?>
	<?php if (!count($this->items)) : ?>
		<div class="no_entries"><?php echo JText::sprintf('COM_SERMONSPEAKER_NO_ENTRIES', JText::_('COM_SERMONSPEAKER_SERMONS')); ?></div>
	<?php else : ?>
		<table class="category">
		<!-- Create the headers with sorting links -->
			<thead><tr>
				<?php if (in_array('archive:num', $this->columns)) : ?>
					<th class="num">
						<?php echo JHTML::_('grid.sort', 'COM_SERMONSPEAKER_SERMONNUMBER', 'sermon_number', $listDirn, $listOrder); ?>
					</th>
				<?php endif; ?>
				<th class="ss-title">
					<?php echo JHTML::_('grid.sort', 'JGLOBAL_TITLE', 'sermon_title', $listDirn, $listOrder); ?>
				</th>
				<?php if (in_array('archive:scripture', $this->columns)) : ?>
					<th class="ss-col ss-scripture">
						<?php echo JHTML::_('grid.sort', 'COM_SERMONSPEAKER_FIELD_SCRIPTURE_LABEL', 'sermon_scripture', $listDirn, $listOrder); ?>
					</th>
				<?php endif;
				if (in_array('archive:speaker', $this->columns)) : ?>
					<th class="ss-col ss-speaker">
						<?php echo JHTML::_('grid.sort', 'COM_SERMONSPEAKER_SPEAKER', 'name', $listDirn, $listOrder); ?>
					</th>
				<?php endif;
				if (in_array('archive:date', $this->columns)) : ?>
					<th class="ss-col ss-date">
						<?php echo JHTML::_('grid.sort', 'COM_SERMONSPEAKER_FIELD_DATE_LABEL', 'sermon_date', $listDirn, $listOrder); ?>
					</th>
				<?php endif;
				if (in_array('archive:length', $this->columns)) : ?>
					<th class="ss-col ss-length">
						<?php echo JHTML::_('grid.sort', 'COM_SERMONSPEAKER_FIELD_LENGTH_LABEL', 'sermon_time', $listDirn, $listOrder); ?>
					</th>
				<?php endif;
				if (in_array('archive:series', $this->columns)) : ?>
					<th class="ss-col ss-series">
						<?php echo JHTML::_('grid.sort', 'COM_SERMONSPEAKER_SERIES', 'series_title', $listDirn, $listOrder); ?>
					</th>
				<?php endif;
				if (in_array('archive:addfile', $this->columns)) : ?>
					<th class="ss-col ss-addfile">
						<?php echo JHTML::_('grid.sort', 'COM_SERMONSPEAKER_ADDFILE', 'addfileDesc', $listDirn, $listOrder); ?>
					</th>
				<?php endif;
				if (in_array('archive:hits', $this->columns)) : ?>
					<th class="ss-col ss-hits">
						<?php echo JHTML::_('grid.sort', 'JGLOBAL_HITS', 'hits', $listDirn, $listOrder); ?>
					</th>
				<?php endif; ?>
			</tr></thead>
		<!-- Begin Data -->
			<tbody>
				<?php foreach($this->items as $i => $item) : ?>
					<tr id="sermon<?php echo $i; ?>" class="<?php echo ($i % 2) ? "odd" : "even"; ?>">
						<?php if (in_array('archive:num', $this->columns)) : ?>
							<td class="num">
								<?php echo $item->sermon_number; ?>
							</td>
						<?php endif; ?>
						<td class="ss-title">
							<?php echo SermonspeakerHelperSermonspeaker::insertSermonTitle($i, $item, $player); ?>
						</td>
						<?php if (in_array('archive:scripture', $this->columns)) : ?>
							<td class="ss-col ss-scripture">
								<?php echo JHTML::_('content.prepare', $item->sermon_scripture); ?>
							</td>
						<?php endif;
						if (in_array('archive:speaker', $this->columns)) : ?>
							<td class="ss-col ss-speaker">
								<?php if ($item->speaker_state):
									echo SermonspeakerHelperSermonSpeaker::SpeakerTooltip($item->speaker_slug, $item->pic, $item->name);
								else:
									echo $item->name;
								endif; ?>
							</td>
						<?php endif;
						if (in_array('archive:date', $this->columns)) : ?>
							<td class="ss-col ss-date">
								<?php echo JHTML::Date($item->sermon_date, JText::_($this->params->get('date_format')), 'UTC'); ?>
							</td>
						<?php endif;
						if (in_array('archive:length', $this->columns)) : ?>
							<td class="ss-col ss-length">
								<?php echo SermonspeakerHelperSermonspeaker::insertTime($item->sermon_time); ?>
							</td>
						<?php endif;
						if (in_array('archive:series', $this->columns)) : ?>
							<td class="ss-col ss-series">
								<?php if ($item->series_state): ?>
									<a href="<?php echo JRoute::_(SermonspeakerHelperRoute::getSerieRoute($item->series_slug)); ?>">
										<?php echo $item->series_title; ?>
									</a>
								<?php else:
									echo $item->series_title;
								endif; ?>
							</td>
						<?php endif;
						if (in_array('archive:addfile', $this->columns)) : ?>
							<td class="ss-col ss-addfile">
								<?php echo SermonspeakerHelperSermonspeaker::insertAddfile($item->addfile, $item->addfileDesc); ?>
							</td>
						<?php endif;
						if (in_array('archive:hits', $this->columns)) : ?>
							<td class="ss-col ss-hits">
								<?php echo $item->hits; ?>
							</td>
						<?php endif; ?>
					</tr>
				<?php endforeach; ?>
			</tbody>
		</table>
	<?php endif;
	if ($this->params->get('show_pagination') && ($this->pagination->get('pages.total') > 1)) : ?>
		<div class="pagination">
			<?php if ($this->params->get('show_pagination_results', 1)) : ?>
				<p class="counter">
					<?php echo $this->pagination->getPagesCounter(); ?>
				</p>
			<?php endif;
			echo $this->pagination->getPagesLinks(); ?>
		</div>
	<?php endif; ?>
	<input type="hidden" name="filter_order" value="<?php echo $listOrder; ?>" />
	<input type="hidden" name="filter_order_Dir" value="<?php echo $listDirn; ?>" />
</form>

            <script type="text/javascript">
                loadNewVideo(currentSermon, currentSermonName);
            </script> 
</div>