<?php
defined('_JEXEC') or die('Restricted access');
JHTML::_('behavior.tooltip');
JHTML::_('behavior.modal');
$audioconfig_one = array
(
	'type' => 'audio',
    'count' => 1,
	'autostart' => '1',
    'awidth' => '400px',
    'aheight' => '22px'
);
$audioconfig_two = array
(
	'type' => 'audio',
    'count' => 2,
	'autostart' => '0',
    'awidth' => '400px',
    'aheight' => '22px'
);
$videoconfig = array
(
	'type' => 'video',
	'count' => 1,
	'autostart' => '1',	
    'vwidth' => '640px',
    'vheight' => '480px'
);
$playerVideo = new SermonspeakerHelperPlayer($this->item, $videoconfig );
$playerAudio_one = new SermonspeakerHelperPlayer($this->item, $audioconfig_one );
$playerAudio_two = new SermonspeakerHelperPlayer($this->item, $audioconfig_two );
JHTML::stylesheet('vimeo.css', 'media/com_sermonspeaker/css/');
$this->document->addScript('/media/com_sermonspeaker/vimeo-functions.js');
$audioFile = $this->item->audiofile;
$addFile = $this->item->addfile;
$videofile = $this->item->videofile;
if (($playerVideo->status)and($playerAudio_two->status))
{
	$useBothPlayersFlg = 1;
}
if (($this->params->get('dl_button')) && (($playerVideo->status)or($playerAudio_two->status)))
{
	$useDownloadFlg = 1;	
}
if (($this->params->get('popup_player')) && (($playerVideo->status)or($playerAudio_two->status)))
{
	$usePopupPlayerFlg = 1;
}
?>
<div class="ss-sermon-container<?php echo htmlspecialchars($this->params->get('pageclass_sfx')); ?>">
<?php if ($this->params->get('show_page_heading', 1)) : ?>
	<h1><?php echo $this->escape($this->params->get('page_heading')); ?></h1>
<?php endif; ?>
<h2><a href="<?php echo JRoute::_(SermonspeakerHelperRoute::getSermonRoute($this->item->slug)); ?>"><?php echo $this->item->sermon_title; ?></a></h2>
<!-- Begin Data -->
<dl class="article-info sermon-info">
<dt class="article-info-term"><?php  echo JText::_('JDETAILS'); ?></dt>
<?php if (in_array('sermon:series', $this->columns) && $this->item->series_title) : ?>
	<dd class="category-name">
		<?php echo JText::_('COM_SERMONSPEAKER_SERIE_TITLE'); ?>:
		<?php if ($this->item->series_state) : ?>
			<a href="<?php echo JRoute::_(SermonspeakerHelperRoute::getSerieRoute($this->item->series_slug)); ?>">
		<?php echo $this->escape($this->item->series_title); ?></a>
		<?php else :
			echo $this->escape($this->item->series_title);
		endif; ?>
	</dd>
<?php endif;
if (in_array('sermon:date', $this->columns)) : ?>
	<dd class="create">
		<?php echo JText::_('COM_SERMONSPEAKER_FIELD_DATE_LABEL'); ?>:
		<?php echo JHTML::Date($this->item->sermon_date, JText::_($this->params->get('date_format')), 'UTC'); ?>
	</dd>
<?php endif;
if (in_array('sermon:speaker', $this->columns) && $this->item->speaker_id) : ?>
	<dd class="createdby">
		<?php echo JText::_('COM_SERMONSPEAKER_SPEAKER'); ?>:
		<?php if ($this->item->speaker_state):
			echo SermonspeakerHelperSermonSpeaker::SpeakerTooltip($this->item->speaker_slug, $this->item->pic, $this->item->name);
		else: 
			echo $this->item->name;
		endif; ?>
	</dd>
<?php endif;
if (in_array('sermon:hits', $this->columns)) : ?>
	<dd class="hits">
		<?php echo JText::_('JGLOBAL_HITS'); ?>: 
		<?php echo $this->item->hits; ?>
	</dd>
<?php endif;if (in_array('sermon:scripture', $this->columns) && $this->item->sermon_scripture) : ?>
	<dd class="ss-sermondetail-info">
		<?php echo JText::_('COM_SERMONSPEAKER_FIELD_SCRIPTURE_LABEL'); ?>:
		<?php echo JHTML::_('content.prepare', $this->item->sermon_scripture); ?>
	</dd>
<?php endif;
if ($this->params->get('custom1') && $this->item->custom1) : ?>
	<dd class="ss-sermondetail-info">
		<?php echo JText::_('COM_SERMONSPEAKER_CUSTOM1'); ?>:
		<?php echo $this->item->custom1; ?>
	</dd>
<?php endif;
if ($this->params->get('custom2') && $this->item->custom2) : ?>
	<dd class="ss-sermondetail-info">
		<?php echo JText::_('COM_SERMONSPEAKER_CUSTOM2'); ?>:
		<?php echo $this->item->custom2; ?>
	</dd>
<?php endif;
if (in_array('sermon:length', $this->columns)) : ?>
	<dd class="ss-sermondetail-info">
		<?php echo JText::_('COM_SERMONSPEAKER_FIELD_LENGTH_LABEL'); ?>:
		<?php echo SermonspeakerHelperSermonspeaker::insertTime($this->item->sermon_time); ?>
	</dd>
<?php endif;
if (in_array('sermon:addfile', $this->columns) && $this->item->addfile)
{
	if ($useBothPlayersFlg)
	{	
		$image = SermonspeakerHelperSermonspeaker::insertAddfile($this->item->addfile, $this->item->addfileDesc, '2');
		$image = str_replace('width="18" height="20"','width="64" height="64"',str_replace("media/com_sermonspeaker/icons/","media/com_sermonspeaker/icons_64x64/",$image));
	}
	else
	{
	?>
	<dd class="ss-sermondetail-info">
		<?php echo JText::_('COM_SERMONSPEAKER_ADDFILE'); ?>:
		<?php echo SermonspeakerHelperSermonspeaker::insertAddfile($this->item->addfile, $this->item->addfileDesc); ?>
	</dd>
<?php 
	}
}	
if ($this->params->get('enable_keywords')):
	$tags = SermonspeakerHelperSermonspeaker::insertSearchTags($this->item->metakey); 
	if ($tags): ?>
		<dd class="tag">
			<?php echo JText::_('COM_SERMONSPEAKER_TAGS').' '.$tags; ?>
		</dd>
	<?php endif;
endif; ?>
</dl>
<div class="ss-sermondetail-container" style="clear:left">
	<?php if (in_array('sermon:player', $this->columns)) : ?>
		<div class="ss-sermon-player">
			<?php if (!$playerVideo->status){
				echo $playerAudio_one->mspace;
				echo $playerAudio_one->script;	                
			}else{
			?>	    
			<div class="ss-sermon-switch">
            	<?php if($playerAudio_two->status){?>
                <div id="ss-player-videoBtn" style="float:left;width:70px;"><img class="play" style="cursor:pointer" src="media/com_sermonspeaker/images/Video.png" onclick="showVideo();" alt="Video" title="<?php echo JText::_('COM_SERMONSPEAKER_SWITCH_VIDEO');?>" /></div>
				<div id="ss-player-audioBtn" style="float:left;width:70px;"><img class="pause" style="cursor:pointer" src="media/com_sermonspeaker/images/Sound.png" onclick="showAudio();" alt="Audio" title="<?php echo JText::_('COM_SERMONSPEAKER_SWITCH_AUDIO');?>" /></div>	
              	<?php }?>    
                <div id="ss-player-addFileBtn" style="float:left;width:70px;"><?php echo $image;?></div>                                  
                <?php if($playerAudio_two->status){?>
				<div id="ss-player-dnldBtn" style="float:left;width:70px;"><img style="cursor:pointer" src="media/com_sermonspeaker/images/download_server.png" onclick="window.location.href='<?php echo JRoute::_('index.php?&task=download&id='.$this->item->slug.'&type=audio'); ?>'" alt="Download" title="<?php echo JText::_('COM_SERMONSPEAKER_DOWNLOADBUTTON_AUDIO');?>" /></div>
                <?php }?>                
                <div id="ss-player-popupBtn" style="float:left;width:70px;"><img style="cursor:pointer" src="media/com_sermonspeaker/images/media_player.png" onclick="popup=window.open('<?php echo JRoute::_('index.php?view=sermon&layout=popup-vimeo&id='.$this->item->slug.'&tmpl=component')?>', 'PopupPage', 'height=<?php echo $playerVideo->popup['height']; ?>,width=<?php echo $playerVideo->popup['width']; ?>,scrollbars=yes,resizable=yes'); return false" alt="Download" title="<?php echo JText::_('COM_SERMONSPEAKER_POPUPPLAYER');?>" /></div>
            	<div class="ss-sermon-video" id="ss-sermon-video" style="visibility:visible;display:block;">
					<?php 
						if($playerVideo->status)
						{
							echo $playerVideo->mspace;
							echo $playerVideo->script;		
						}
					?>	
                </div> 
                <div class="ss-sermon-audio" id="ss-sermon-audio" style="visibility:hidden;display:none;">
					<?php
						if($playerAudio_two->status)
						{
							echo $playerAudio_two->mspace;
							echo $playerAudio_two->script; 
						}
					?>
              	</div>
			</div>
        	<div style="clear:both;"></div>      
            <?php } ?>
		</div>
		<div style="clear:both"></div> 
	<?php endif;
	if ($useDownloadFlg) { ?>
        <span>
			<?php 
				if(($this->item->audiofile != '')and(!$useBothPlayersFlg))
				{
					echo SermonspeakerHelperSermonspeaker::insertdlbutton($this->item->slug,'audio'); 
				}
            ?>
        </span>
	<?php }
	if (($usePopupPlayerFlg)and($playerAudio_one->status)and(!$playerVideo->status)){ ?>
		<span><?php echo SermonspeakerHelperSermonspeaker::insertPopupButton($this->item->id, $playerVideo); ?></span>
	<?php }
	if (in_array('sermon:notes', $this->columns) && strlen($this->item->notes) > 0) : ?>
		<div class="ss-sermon-notes">
			<?php 
				echo JHTML::_('content.prepare', $this->item->notes); 
			?>
		</div>
	<?php endif; ?>
</div>
<?php
// Support for JComments
$comments = JPATH_BASE.DS.'components'.DS.'com_jcomments'.DS.'jcomments.php';
if ($this->params->get('enable_jcomments') && file_exists($comments)) : ?>
	<div class="jcomments">
		<?php
		require_once($comments);
		echo JComments::showComments($this->item->id, 'com_sermonspeaker', $this->item->sermon_title); ?>
	</div>
<?php endif; ?>
</div>