<?php
defined('_JEXEC') or die('Restricted access');
$audioconfig_one = array
(
	'type' => 'audio',
    'count' => 1,
	'autostart' => '1',
    'awidth' => '400px',
    'aheight' => '22px'
);
$audioconfig_two = array
(
	'type' => 'audio',
    'count' => 2,
	'autostart' => '0',
    'awidth' => '400px',
    'aheight' => '22px'
);
$videoconfig = array
(
	'type' => 'video',
	'count' => 1,
	'autostart' => '1',	
    'vwidth' => '640px',
    'vheight' => '480px'
);
$playerVideo = new SermonspeakerHelperPlayer($this->item, $videoconfig );
$playerAudio_one = new SermonspeakerHelperPlayer($this->item, $audioconfig_one );
$playerAudio_two = new SermonspeakerHelperPlayer($this->item, $audioconfig_two );
JHTML::stylesheet('vimeo.css', 'media/com_sermonspeaker/css/');
JHTML::stylesheet('sermonspeaker.css', 'media/com_sermonspeaker/css/');
$this->document->addScript('/media/com_sermonspeaker/vimeo-functions.js');
$audioFile = $this->item->audiofile;
$addFile = $this->item->addfile;
$videofile = $this->item->videofile;
if (($playerVideo->status)and($playerAudio_two->status))
{
	$useBothPlayersFlg = 1;
}
if (($this->params->get('dl_button')) && (($playerVideo->status)or($playerAudio_two->status)))
{
	$useDownloadFlg = 1;	
}
if (($this->params->get('popup_player')) && (($playerVideo->status)or($playerAudio_two->status)))
{
	$usePopupPlayerFlg = 1;
}
if (in_array('sermon:addfile', $this->columns) && $this->item->addfile)
{
	$image = SermonspeakerHelperSermonspeaker::insertAddfile($this->item->addfile, $this->item->addfileDesc, '2');
	$image = str_replace('width="18" height="20"','width="64" height="64"',str_replace("media/com_sermonspeaker/icons/","media/com_sermonspeaker/icons_64x64/",$image));
}
?>
<script type="text/javascript">
		window.resizeTo(770, 700);
		document.body.style.backgroundColor='<?php echo $this->params->get('popup_color', '#fff'); ?>';
</script>
<div class="ss-sermon-container<?php echo htmlspecialchars($this->params->get('pageclass_sfx')); ?>">
		<div class="popup">
			<h2><?php echo $this->item->sermon_title; ?></h2>    
			<div class="ss-sermon-player">
			<?php if (!$playerVideo->status){
				echo $playerAudio_one->mspace;
				echo $playerAudio_one->script;	                
			}else{
			?>	    
			<div class="ss-sermon-switch">
            	<?php if($playerAudio_two->status){?>
                    <div id="ss-player-videoBtn" style="float:left;width:70px;"><img class="play" style="cursor:pointer" src="media/com_sermonspeaker/images/Video.png" onclick="showVideo();" alt="Video" title="<?php echo JText::_('COM_SERMONSPEAKER_SWITCH_VIDEO');?>" /></div>
                    <div id="ss-player-audioBtn" style="float:left;width:70px;"><img class="pause" style="cursor:pointer" src="media/com_sermonspeaker/images/Sound.png" onclick="showAudio();" alt="Audio" title="<?php echo JText::_('COM_SERMONSPEAKER_SWITCH_AUDIO');?>" /></div>	
                <?php }?>    
	                <div id="ss-player-addFileBtn" style="float:left;width:70px;"><?php echo $image;?></div>                                  
                <?php if($playerAudio_two->status){?>
					<div id="ss-player-dnldBtn" style="float:left;width:70px;"><img style="cursor:pointer" src="media/com_sermonspeaker/images/download_server.png" onclick="window.location.href='<?php echo JRoute::_('index.php?&task=download&id='.$this->item->slug.'&type=audio'); ?>'" alt="Download" title="<?php echo JText::_('COM_SERMONSPEAKER_DOWNLOADBUTTON_AUDIO');?>" /></div>
                <?php }?> 
        	    	<div class="ss-sermon-video" id="ss-sermon-video" style="visibility:visible;display:block;">
						<?php 
                            echo $playerVideo->mspace;
                            echo $playerVideo->script;		
                        ?>	
	                </div>
    	            <div class="ss-sermon-audio" id="ss-sermon-audio" style="visibility:hidden;display:none;">
						<?php
                            echo $playerAudio_two->mspace; 
                            echo $playerAudio_two->script; 
                        ?>
	              	</div>               
			</div>
        	<div style="clear:both;"></div>      
            <?php } ?>
		</div> 
        <div style="clear:both;"></div> 
		<?php if (in_array('sermon:notes', $this->columns) && strlen($this->item->notes) > 0) : ?>
			<div class="ss-sermon-notes" style="margin-top:30px;">
				<?php 
					echo JHTML::_('content.prepare', $this->item->notes); 
				?>
			</div>
		<?php endif; ?>            
		<div style="clear:both"></div>       
	</div>
</div>